package com.qmth.paper.library.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.paper.library.common.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 图片库
 * </p>
 */
@TableName("paper_library")
public class PaperLibrary extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("school_id")
    private Long schoolId;

    @ApiModelProperty(value = "扫描任务表id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("paper_scan_task_id")
    private Long paperScanTaskId;

    /**
     * 存储路径
     */
    @TableField("path")
    private String path;


    @ApiModelProperty(value = "扫描任务详情表id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("paper_scan_task_detail_id")
    private Long paperScanTaskDetailId;

    @ApiModelProperty(value = "数据检验员id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("user_id")
    private Long userId;

    /**
     * 图片序号
     */
    @TableField("sequence")
    private Integer sequence;


    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getPaperScanTaskId() {
        return paperScanTaskId;
    }

    public void setPaperScanTaskId(Long paperScanTaskId) {
        this.paperScanTaskId = paperScanTaskId;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Long getPaperScanTaskDetailId() {
        return paperScanTaskDetailId;
    }

    public void setPaperScanTaskDetailId(Long paperScanTaskDetailId) {
        this.paperScanTaskDetailId = paperScanTaskDetailId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getSequence() {
        return sequence;
    }

    public void setSequence(Integer sequence) {
        this.sequence = sequence;
    }
}
