package com.qmth.paper.library.common.enums;

import java.util.Objects;

/**
 * @Description: 上传文件类型
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/15
 */
public enum UploadFileEnum {
    FILE("file", "public"),

    IMAGE("image", "private");

    private String title;
    private String fssType;

    UploadFileEnum(String title, String fssType) {
        this.title = title;
        this.fssType = fssType;
    }

    public String getTitle() {
        return title;
    }

    public String getFssType() {
        return fssType;
    }


    /**
     * 状态转换 toName
     *
     * @param title
     * @return
     */
    public static String convertToName(String title) {
        for (UploadFileEnum e : UploadFileEnum.values()) {
            if (Objects.equals(title, e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }

    /**
     * 状态转换 toName
     *
     * @param title
     * @return
     */
    public static String convertToFssType(String title) {
        for (UploadFileEnum e : UploadFileEnum.values()) {
            if (Objects.equals(title.toLowerCase(), e.getTitle())) {
                return e.getFssType();
            }
        }
        return null;
    }
}
